.block-imagesbuttons {
	max-width: 1400px;
    margin-inline: auto;
}

.block-imagesbuttons h2 {
	color: #ED3B2B;
}

.block-imagesbuttons ul {
	list-style: none;
	padding: 0;
	margin: 0;
	display: flex;
	align-items: stretch;
	column-gap: 1rem;
	overflow-x: auto;
	scroll-snap-type: x mandatory;
  	scroll-behavior: smooth;
	scrollbar-width: none;
}

.block-imagesbuttons ul li {
	flex: 1;
	aspect-ratio: 6 / 7;
	position: relative;
	min-width: 338px;
	width: 338px;
	scroll-snap-align: start;
}

.block-imagesbuttons ul li img {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	object-fit: cover;
}

.block-imagesbuttons ul li .overlay {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(255, 0, 0, 0.5);
	color: #fff;
	opacity: 0;
	display: flex;
	align-items: center;
	justify-content: center;
	text-align: center;
	transition: opacity 0.25s;
}

.block-imagesbuttons ul li .overlay p {
	font-size: 20px;
}

.block-imagesbuttons ul li:hover .overlay {
	opacity: 1;
}

.block-imagesbuttons ul li a {
	display: flex;
	flex-direction: column;
	align-items: center;
	row-gap: 2rem;
	justify-content: center;
	background-color: #ED3B2B;
	border: 1px solid #ED3B2B;
	color: #fff;
	text-align: center;
	height: 100%;
	line-height: 1.2em;
}

.block-imagesbuttons ul li a:hover {
	color: #ED3B2B;
	background-color: #fff;
}

.block-imagesbuttons ul li a:hover svg path {
	fill: #ED3B2B !important;
}

.block-imagesbuttons ul li a svg {
	width: 5rem;
	height: 5rem;
}